# Enum Class IlluminaMetricsCode

java.lang.Object
java.lang.Enum<IlluminaMetricsCode>
picard.illumina.parser.IlluminaMetricsCode

All Implemented Interfaces:
  `Serializable, Comparable<IlluminaMetricsCode>, Constable`

public enum IlluminaMetricsCode extends Enum<IlluminaMetricsCode>
Illumina's TileMetricsOut.bin file codes various metrics, both concrete (all density id's are code 100) or as a base code (e.g. phasing values are computed from a base of 200).

## Nested Class Summary

### Nested classes/interfaces inherited from class Enum

`Enum.EnumDesc<E>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`CLUSTER_ID`
`DENSITY_ID`
`PHASING_BASE`
`PREPHASING_BASE`

## Method Summary

Modifier and Type
Method
Description
`int`
`getMetricsCode()`
`static int`
`getPhasingCode(int readDescriptorIndex, IlluminaMetricsCode phasingType)`
Phasing codes are between 200 and 299 (inclusive).
`static boolean`
`isPhasing(IlluminaMetricsCode metricsCode)`
`static IlluminaMetricsCode`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static IlluminaMetricsCode[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### DENSITY_ID

public static final IlluminaMetricsCode DENSITY_ID

### CLUSTER_ID

public static final IlluminaMetricsCode CLUSTER_ID

### PHASING_BASE

public static final IlluminaMetricsCode PHASING_BASE

### PREPHASING_BASE

public static final IlluminaMetricsCode PREPHASING_BASE

## Method Details

### values

public static IlluminaMetricsCode[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static IlluminaMetricsCode valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### getPhasingCode

public static int getPhasingCode(int readDescriptorIndex, IlluminaMetricsCode phasingType)
Phasing codes are between 200 and 299 (inclusive). Phasing codes are defined as being (200 + ((N - 1) * 2)) for (a 0-based) read descriptor N (i.e., 200, 202, 204, etc.) Prephasing codes are defined as being (201 + ((N - 1) * 2)) for read descriptor N (i.e., 201, 203, 205, etc.). So for a 101T8B101T read structure, there will be phasing codes of 200, 202 and 204 and prephasing codes of 201, 203, 205.

### isPhasing

public static boolean isPhasing(IlluminaMetricsCode metricsCode)

### getMetricsCode

public int getMetricsCode()